BranchCollisionPolicies (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphdb.traversal

## Enum BranchCollisionPolicies

- java.lang.Object
- - java.lang.Enum<BranchCollisionPolicies>
  - - org.neo4j.graphdb.traversal.BranchCollisionPolicies

- All Implemented Interfaces:
    Serializable, Comparable<BranchCollisionPolicies>, BranchCollisionPolicy

      public enum BranchCollisionPolicies
      extends Enum<BranchCollisionPolicies>
      implements BranchCollisionPolicy

  A catalogue of convenient branch collision policies Copied from kernel package so that we can hide kernel from the public API.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SHORTEST_PATH`
    `STANDARD`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BranchCollisionPolicies` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BranchCollisionPolicies[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.neo4j.graphdb.traversal.BranchCollisionPolicy

      `create`

- - ### Enum Constant Detail

    - #### STANDARD

          public static final BranchCollisionPolicies STANDARD

    - #### SHORTEST_PATH

          public static final BranchCollisionPolicies SHORTEST_PATH

  - ### Method Detail

    - #### values

          public static BranchCollisionPolicies[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BranchCollisionPolicies c : BranchCollisionPolicies.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BranchCollisionPolicies valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.